Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class CastExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.CastExpression

    public class CastExpression
    extends Expression

Represents a type cast expression

Authors:
  James Strachan

Version:
  \$Revision: 7922 \$

Constructor Summary
`CastExpression(ClassNode type, Expression expression)`
`CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

Method Summary
`static CastExpression` | `asExpression(ClassNode type, Expression expression)`
`Expression` | `getExpression()`
`String` | `getText()`
`boolean` | `isCoerce()`
`boolean` | `isIgnoringAutoboxing()`
`void` | `setCoerce(boolean coerce)`
`void` | `setType(ClassNode t)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CastExpression

    public CastExpression(ClassNode type, Expression expression)

### CastExpression

    public CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)

Method Detail

### asExpression

    public static CastExpression asExpression(ClassNode type, Expression expression)

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### isCoerce

    public boolean isCoerce()

### isIgnoringAutoboxing

    public boolean isIgnoringAutoboxing()

### setCoerce

    public void setCoerce(boolean coerce)

### setType

    public void setType(ClassNode t)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.